[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Accepted webkitgtk 2.4.10-1 (source amd64 all) into unstable, unstable



-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 17 Mar 2016 10:15:29 +0200
Source: webkitgtk
Binary: libjavascriptcoregtk-1.0-0 libjavascriptcoregtk-1.0-dev libwebkitgtk-1.0-0 libwebkitgtk-dev libjavascriptcoregtk-3.0-0 libjavascriptcoregtk-3.0-dev libjavascriptcoregtk-3.0-bin gir1.2-javascriptcoregtk-3.0 libwebkitgtk-3.0-0 libwebkitgtk-3.0-dev libwebkitgtk-doc gir1.2-webkit-3.0
Architecture: source amd64 all
Version: 2.4.10-1
Distribution: unstable
Urgency: high
Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
Changed-By: Alberto Garcia <berto@igalia.com>
Description:
 gir1.2-javascriptcoregtk-3.0 - JavaScript engine library from WebKitGTK+ - GObject introspection
 gir1.2-webkit-3.0 - Web content engine library for GTK+ - GObject introspection data
 libjavascriptcoregtk-1.0-0 - JavaScript engine library from WebKitGTK+
 libjavascriptcoregtk-1.0-dev - JavaScript engine library from WebKitGTK+ - development files
 libjavascriptcoregtk-3.0-0 - JavaScript engine library from WebKitGTK+
 libjavascriptcoregtk-3.0-bin - JavaScript engine library from WebKitGTK+ - command-line interpre
 libjavascriptcoregtk-3.0-dev - JavaScript engine library from WebKitGTK+ - development files
 libwebkitgtk-1.0-0 - Web content engine library for GTK+
 libwebkitgtk-3.0-0 - Web content engine library for GTK+
 libwebkitgtk-3.0-dev - Web content engine library for GTK+ - development files
 libwebkitgtk-dev - Web content engine library for GTK+ - development files
 libwebkitgtk-doc - Web content engine library for GTK+ - documentation
Closes: 696236
Changes:
 webkitgtk (2.4.10-1) unstable; urgency=high
 .
   * New upstream release.
     + This contains the following security fixes: CVE-2015-1120,
       CVE-2015-1076, CVE-2015-1071, CVE-2015-1081, CVE-2015-1122,
       CVE-2015-1155, CVE-2014-1748, CVE-2015-3752, CVE-2015-5809,
       CVE-2015-5928, CVE-2015-3749, CVE-2015-3659, CVE-2015-3748,
       CVE-2015-3743, CVE-2015-3731, CVE-2015-3745, CVE-2015-5822,
       CVE-2015-3658, CVE-2015-3741, CVE-2015-3727, CVE-2015-5801,
       CVE-2015-5788, CVE-2015-3747, CVE-2015-5794, CVE-2015-1127,
       CVE-2015-1153, CVE-2015-1083.
   * debian/patches/fix-cloop.patch,
     debian/patches/fix-gtkdoc-error.patch,
     debian/patches/ppc64-align.patch,
     debian/patches/use-abi64-for-mips64el.patch:
     + Delete these patches, they are no longer needed.
   * debian/patches/atomic_build_fix.patch,
     debian/patches/x32_support.patch:
     + Refresh.
   * debian/patches/fix-ftbfs-m68k.patch:
     + Fix FTBFS in m68k (Closes: #696236).
   * debian/control:
     + Bump Standards-Version to 3.9.7; no changes needed.
     + Use secure URIs for the Vcs-* fields.
   * debian/rules:
     + Enable all hardening flags.
     + Remove EXTRA_DH_ARGUMENTS, this is no longer being used.
   * debian/copyright:
     + Update copyright years.
   * debian/source/lintian-overrides:
     + Update overrides so the latest lintian doesn't give more
       source-is-missing false positives.
   * Remove the libwebkitgtk-*common* and libwebkit-dev packages:
     + debian/control:
       - Remove package entries and add Breaks and Replaces fields to
         libwebkitgtk-{1,3}.0-0 and libwebkitgtk*-dev.
     + debian/libwebkitgtk-*common*.install:
       - Remove and move all files to libwebkitgtk-{1,3}.0-0.install and
         libwebkitgtk-3.0-dev.install.
     + debian/rules:
       - Remove dh_install rules from binary-indep.
   * Move documentation to a separate libwebkitgtk-doc package:
     + debian/libwebkitgtk-3.0-dev.{install,links},
       debian/libwebkitgtk-dev.{install,links},
       debian/libwebkitgtk-doc.{install,links}:
       debian/rules:
       - Don't install the documentation in the -dev packages and do it in
         libwebkitgtk-doc instead.
     + debian/libwebkitgtk-doc.doc-base:
       - Add doc-base control file.
     + debian/control:
       - Add package entry.
   * Migrate to automatic -dbgsym packages:
     + debian/control:
       - Remove the entries for all -dbg packages.
     + debian/rules:
       - Replace --dbg-package with --ddeb-migration in dh_strip, but don't
         make it fail if debhelper < 9.20151219.
Checksums-Sha1:
 64838bb993666f6c52515fd17ca74009421b92a0 3796 webkitgtk_2.4.10-1.dsc
 7fe2fe07ed21d00d8a8483d68c13a8c7ff0ff320 9867504 webkitgtk_2.4.10.orig.tar.xz
 42c116ad50746ddb44a6d0ef10288580c41fb113 45224 webkitgtk_2.4.10-1.debian.tar.xz
 f8407d52f4c073ffb572170a3de24c996c72ec1f 119172 gir1.2-javascriptcoregtk-3.0_2.4.10-1_amd64.deb
 642a55f5c75934437185afa7dc1bba2ed61f9a66 169172 gir1.2-webkit-3.0_2.4.10-1_amd64.deb
 3a996c9da2b8cbfff5e8eda855eb86689e87d455 138930856 libjavascriptcoregtk-1.0-0-dbgsym_2.4.10-1_amd64.deb
 3db6b3323fe4ed7edc5ebbd791690aa840e0a3ad 1968564 libjavascriptcoregtk-1.0-0_2.4.10-1_amd64.deb
 34984b125150be348953f6a44ff81ae22354358d 129866 libjavascriptcoregtk-1.0-dev_2.4.10-1_amd64.deb
 f485101c26a595ad8f415eeab2951add4c63f259 138923252 libjavascriptcoregtk-3.0-0-dbgsym_2.4.10-1_amd64.deb
 cee61602edb6f67998ccbbb1b9caaa45017a438c 1968432 libjavascriptcoregtk-3.0-0_2.4.10-1_amd64.deb
 a770043ac23f938a82e92736db1f6bf53efacbd0 813950 libjavascriptcoregtk-3.0-bin-dbgsym_2.4.10-1_amd64.deb
 434b2a8c7f55543f3660a82857852b6ffe5ecac6 141728 libjavascriptcoregtk-3.0-bin_2.4.10-1_amd64.deb
 562c03ea691f62789959dd93ecfdc71e87c3390f 129876 libjavascriptcoregtk-3.0-dev_2.4.10-1_amd64.deb
 23036ea0697a750d8ec6e2e16fddde5c945f2be5 578227122 libwebkitgtk-1.0-0-dbgsym_2.4.10-1_amd64.deb
 0d72e9894c1c66bf5601ac31409707cbf1b0f0fb 8042246 libwebkitgtk-1.0-0_2.4.10-1_amd64.deb
 1475273757b1e188500539532c1563950ab185a4 577921016 libwebkitgtk-3.0-0-dbgsym_2.4.10-1_amd64.deb
 4972f3c0d8b852275a9b78b78b161b88f2d6cad1 8040288 libwebkitgtk-3.0-0_2.4.10-1_amd64.deb
 c631207e5499d52d15d5317938277d9431d32171 265808 libwebkitgtk-3.0-dev_2.4.10-1_amd64.deb
 7f11f34c2268a5e9db635c0b48c720474f804d59 265802 libwebkitgtk-dev_2.4.10-1_amd64.deb
 7f5167c3a5bc4a83ec3910b4a548e7cd2f3ff159 213742 libwebkitgtk-doc_2.4.10-1_all.deb
Checksums-Sha256:
 ed3612e14774f5d4e5b063b1e83755f663f2602f946b16db26a4b6833d893a63 3796 webkitgtk_2.4.10-1.dsc
 33fda4b20d7fec2d6e9399ba03ef3f6d2a733c628bd77d397880c44e4bf7c614 9867504 webkitgtk_2.4.10.orig.tar.xz
 037a29a2e4f7b7a1c60da8a41c8645513d11cfc31f209fdc5638f6ec370ec851 45224 webkitgtk_2.4.10-1.debian.tar.xz
 c20ac01e127766aa1cefcfa646534c8d7606c1b2b6f6bb405dec905c7016e823 119172 gir1.2-javascriptcoregtk-3.0_2.4.10-1_amd64.deb
 0fbbe14820335cdfc295cb4be5747e48cc6c3840138c31c22b1e97ef12d39540 169172 gir1.2-webkit-3.0_2.4.10-1_amd64.deb
 e00e7bff89cd1080f21906bcfbb30aad2b0647ef708cbfb3263943f81e7dd850 138930856 libjavascriptcoregtk-1.0-0-dbgsym_2.4.10-1_amd64.deb
 4a3faac57e3ca822a2cfdcbcd26314c58521300120225a667f35105daa56fba9 1968564 libjavascriptcoregtk-1.0-0_2.4.10-1_amd64.deb
 46c1a71d9f16bf90894fef73da7ac6cc5bb56b73fba2cfb4e2485b04c909b671 129866 libjavascriptcoregtk-1.0-dev_2.4.10-1_amd64.deb
 92a3fd0dd5538cdda4bbf1c112e9101aaf40fdeec75cecd7b90c177b154fd349 138923252 libjavascriptcoregtk-3.0-0-dbgsym_2.4.10-1_amd64.deb
 73ebee3d08c53d33cedc483d2eee00e1a88cdf51858f9be1ae258641b51a5f20 1968432 libjavascriptcoregtk-3.0-0_2.4.10-1_amd64.deb
 f28f7bab17ab46d8a3b31d2df6bb83194345cc9a6c24dd3ef1c38b8f482bdff5 813950 libjavascriptcoregtk-3.0-bin-dbgsym_2.4.10-1_amd64.deb
 3f4e86e9280287438614c385c61cbe2fc5e4067f148320204ed7f4df16b08228 141728 libjavascriptcoregtk-3.0-bin_2.4.10-1_amd64.deb
 dcf1c00350dc0eea5cb622de260bab59f2989405aed4079458ae57cc7c3e869f 129876 libjavascriptcoregtk-3.0-dev_2.4.10-1_amd64.deb
 a1e0c996d8f09c876ea723c023a95c3272f8320c7259435229225143ef93801b 578227122 libwebkitgtk-1.0-0-dbgsym_2.4.10-1_amd64.deb
 9da4c88b854d020bf803d120f59ed2ae1373f83884de0c3eb77d5c13f6e4557e 8042246 libwebkitgtk-1.0-0_2.4.10-1_amd64.deb
 02438ea7f45d4923ea75a2f77fade7a26c28d20cf8e6e5c73fcba1ffcb153243 577921016 libwebkitgtk-3.0-0-dbgsym_2.4.10-1_amd64.deb
 c9364b293179186844b57b415e9651cbbe8320caf220af7400cffecdef10ab40 8040288 libwebkitgtk-3.0-0_2.4.10-1_amd64.deb
 df77fd31100c7fc5b45e4a58a60d1bda3c5ee464408dd81bd67f6df72689465c 265808 libwebkitgtk-3.0-dev_2.4.10-1_amd64.deb
 2ed3d25db793b83a7bc3b2a2301d8d435510a9620dd3f649d376f6273dbd209e 265802 libwebkitgtk-dev_2.4.10-1_amd64.deb
 e9f58b1478e66386bd6d447ba3357dcb820c8dc49d029bbaf29fb281e7d59184 213742 libwebkitgtk-doc_2.4.10-1_all.deb
Files:
 f4a1dabceaf637b6e2c995e7920b7275 3796 web optional webkitgtk_2.4.10-1.dsc
 1b3f18d4087dfc648e8060c14e16e202 9867504 web optional webkitgtk_2.4.10.orig.tar.xz
 63d4a7c701b9abdf69ad2de0ac019fcf 45224 web optional webkitgtk_2.4.10-1.debian.tar.xz
 9d3f0dcb33ba6b7df12386b9a5d6f1f7 119172 introspection optional gir1.2-javascriptcoregtk-3.0_2.4.10-1_amd64.deb
 d0aef1dc9be1284e6c911cde67b5a9da 169172 introspection optional gir1.2-webkit-3.0_2.4.10-1_amd64.deb
 adf4febf9dc2a8d4b6628aa08bd5fbf1 138930856 debug extra libjavascriptcoregtk-1.0-0-dbgsym_2.4.10-1_amd64.deb
 0a05de22793adf3e756cf4595a8f0653 1968564 libs optional libjavascriptcoregtk-1.0-0_2.4.10-1_amd64.deb
 2b99cc60d07dc67d19eaf13cb101e9e6 129866 libdevel extra libjavascriptcoregtk-1.0-dev_2.4.10-1_amd64.deb
 d813bec44df0732c6c1e7d5568c7d620 138923252 debug extra libjavascriptcoregtk-3.0-0-dbgsym_2.4.10-1_amd64.deb
 fb2610e29819172c863ebbc642af3710 1968432 libs optional libjavascriptcoregtk-3.0-0_2.4.10-1_amd64.deb
 b9268cf45a22ad36197065c0e313ce8b 813950 debug extra libjavascriptcoregtk-3.0-bin-dbgsym_2.4.10-1_amd64.deb
 3a90d771d4d69e477bcf7ce83e01bc24 141728 interpreters optional libjavascriptcoregtk-3.0-bin_2.4.10-1_amd64.deb
 32a4b96be8c1d6c1d43abde62a4ae75b 129876 libdevel extra libjavascriptcoregtk-3.0-dev_2.4.10-1_amd64.deb
 717edc992f756d7031c4472affc6dafd 578227122 debug extra libwebkitgtk-1.0-0-dbgsym_2.4.10-1_amd64.deb
 012f61e6f9a5cd70789b9165831feda0 8042246 libs optional libwebkitgtk-1.0-0_2.4.10-1_amd64.deb
 b64f0dda7af87052644a72e5239045aa 577921016 debug extra libwebkitgtk-3.0-0-dbgsym_2.4.10-1_amd64.deb
 0ea08492233b030101ace6a6235ac085 8040288 libs optional libwebkitgtk-3.0-0_2.4.10-1_amd64.deb
 408eaaf8e43c70cf48958807c42bc79c 265808 libdevel extra libwebkitgtk-3.0-dev_2.4.10-1_amd64.deb
 55f62298709bab94bf598c9a254feb90 265802 libdevel extra libwebkitgtk-dev_2.4.10-1_amd64.deb
 7ad8e1f406bf24651050cf01e9621435 213742 doc extra libwebkitgtk-doc_2.4.10-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIVAwUBVup7Qr4yGa8+1BNBAQjN+Q//W/0QFlQmtn9cDTTbelq7Aeen6+xDLtor
XvJAO1bZcXn1/H7DAIGEUCofE1oAFq5iY2NLWPjefCwXWc0Vbj2h9sIXbykxFv4D
zDtuP7SR69l5dk9LftW4j4qLqyvGKw/n8NynqBnyZ/D+3FSoAycyjZBAQ7LWUNYN
MfoDcjwSQ9GVAhSFm6oYING0TFtuQi9wprQoyD+6kEo9kJla3J4qM9ylLidD/VZ1
kK7KAURbF3fNp5ofs0PunhRrVrhDUlxSMQwwK6memBRZZhitce7H/rO0PlDxsNzR
qw+rVSSwX3waF+lOpj1Dv9lUfDZB1iKuQxDuSjfkqmn0x7QQOhupoou+lLkhBIEq
P5UnwRXfES78hxjKxab9b6j7hcLUg790nr0Ro2ie+jEHf3hejaLb7g70hUuPLTAD
d8z0X7ZT1295/kLhHXSSyeFcHXL8p9bO3ggscYVpUJO7Eb/26F88uGapZYu3HdrZ
BWnVcAUfMcmcKmDLnRUWxHgyRn7EIIJ21+f1Fme6LvXdZoERj8fyfH3C3jNazgCT
gdtmU1AcPDxS5kYmZZLCrw2zk/UwlaKfrUFHmO9OQ9pp/yqWjuU6c0gP+OEINhHH
7pVJFqx/I+f9HKop1/Qrq3tZ2taW1RMqe5rgdBlH3NcGTQHJeIv0IBmpre9l3EpF
Wg3/6mdm+xE=
=hSFh
-----END PGP SIGNATURE-----


Reply to: